
package org.sablecc.sablecc;

import java.io.*;
import java.util.*;

/** Classes implementing this can be used to generate parsers.
  */
public interface ParserGenerator {
  void init (String arguments) throws Exception;
  /** Short name of the parser generator. */
  String getName ();
  /** Get help on the arguments. */
  String getHelp ();
  /** Get verbose freeform information about this parser generator, like name, language, author, license, etc. */
  String getInfo ();
  /** Generate a parser out of data to directory pointed by path. */
  void generate (ParserData data, String path) throws Exception;
}

